net.sourceforge.pmd.typeresolution

## Class ClassWithImportOnDemand

- java.lang.Object
- - net.sourceforge.pmd.typeresolution.ClassWithImportOnDemand

    public class ClassWithImportOnDemand
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClassWithImportOnDemand()`

### Method Summary

Methods
`List` `foo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassWithImportOnDemand

    public ClassWithImportOnDemand()

### Method Detail

#### foo

    public List foo()